#!/usr/bin/env python

import sys
from distutils.core import setup


long_desc = """IMDbPY is a Python package useful to retrieve and
manage the data of the IMDb movie database.

IMDbPY aims to provide an easy way to access the IMDb's database using
a Python script.
Platform-independent and written in pure Python, it's theoretically
independent from the data source (since IMDb provides two or three
different interfaces to their database).
IMDbPY is mainly intended for programmers and developers who want to
build their Python programs using the IMDbPY package, but some
example scripts - useful for simple users - are included. 
"""

classifiers = """\
Development Status :: 4 - Beta
Development Status :: 5 - Production/Stable
Environment :: Console
Environment :: Web Environment
Intended Audience :: Developers
Intended Audience :: End Users/Desktop
License :: OSI Approved :: GNU General Public License (GPL)
Natural Language :: English
Natural Language :: Italian
Programming Language :: Python
Operating System :: OS Independent
Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries
Topic :: Software Development :: Libraries :: Python Modules
"""

if sys.version_info < (2, 3):
    _setup = setup
    def setup(**kwargs):
        if kwargs.has_key("classifiers"):
            del kwargs["classifiers"]
        _setup(**kwargs)

setup(name = 'IMDbPY',
      version = '1.2',
      description = 'Python package to access the IMDb database',
      long_description = long_desc,
      author = 'Davide Alberani',
      author_email = 'davide.alberani@erlug.linux.it',
      maintainer = 'Davide Alberani',
      maintainer_email = 'davide.alberani@erlug.linux.it',
      url = 'http://imdbpy.sourceforge.net/',
      license = 'GPL',
      platforms = 'any',
      classifiers = filter(None, classifiers.split("\n")),
      packages = ['imdb', 'imdb.parser', 'imdb.parser.http'])


