#!/usr/bin/env python

import unittest, cPickle

from imdb.parser.http.personParser import filmography_parser

TEST_FILES = ['jr_filmogr.html', 'mg_filmogr.html', 'pu_filmogr.html']

def create_results():
    for f_in in TEST_FILES:
        fd = open(f_in, 'r')
        html_page = fd.read()
        fd.close()
        obj = filmography_parser.parse(html_page)
        fd = open(f_in.replace('.html', '.p'), 'w')
        cPickle.dump(obj, fd)
        fd.close()

# create_results()


class MovieParserTC(unittest.TestCase):
    def testEmpty(self):
        d = filmography_parser.parse('')
        self.failUnlessEqual(d, {})

    def testDumped(self):
        for f_name in TEST_FILES:
            fd = open(f_name, 'r')
            d = filmography_parser.parse(fd.read())
            fd.close()
            fd = open(f_name.replace('.html', '.p'), 'r')
            dumped = cPickle.load(fd)
            self.failUnlessEqual(d, dumped)



if __name__ == '__main__':
    unittest.main()


