#!/usr/bin/env python

import unittest

import imdb

class IMDbTC(unittest.TestCase):
    def testInit(self):
        i = imdb.IMDb(accessSystem='web')

    def testNewMovie(self):
        i = imdb.IMDb(accessSystem='html')
        m = i.new_movie(title='movie title')
        self.failUnlessEqual(m.accessSystem, 'http')

    def testNewPerson(self):
        i = imdb.IMDb(accessSystem='html')
        p = i.new_person(name='person name')
        self.failUnlessEqual(p.accessSystem, 'http')

    def testGetImdbMovieID(self):
        i = imdb.IMDb(accessSystem='http')
        self.failUnlessEqual('1234567', i.get_imdbMovieID('1234567'))

    def testImdbPersonID(self):
        i = imdb.IMDb(accessSystem='http')
        self.failUnlessEqual('1234567', i.get_imdbPersonID('1234567'))

    def testProxyDefault(self):
        import os
        i = imdb.IMDb(accessSystem='http')
        self.failUnlessEqual(i.get_proxy(), os.environ.get('HTTP_PROXY', ''))

    def testProxySet(self):
        i = imdb.IMDb(accessSystem='http')
        i.set_proxy('my.proxy:8080/')
        self.failUnlessEqual(i.get_proxy(), 'http://my.proxy:8080/')



if __name__ == '__main__':
    unittest.main()


