#!/usr/bin/env python

import unittest

import imdb


class PersonTC(unittest.TestCase):
    def testCreateEmpty(self):
        p = imdb.Person.Person()
        if p:
            self.fail('the Person object should be false!')

    def testCreateNotEmpty(self):
        p = imdb.Person.Person(name='person name')
        if not p:
            self.fail('the Person object should be true!')

    def testPersonname(self):
        p_name = 'person name'
        p = imdb.Person.Person(name=p_name)
        self.failUnlessEqual(p_name, p['name'])
    
    def testPersonnameGet(self):
        p_name = 'person name'
        p = imdb.Person.Person(name=p_name)
        self.failUnlessEqual(p_name, p.get('name'))
    
    def testPersonLongName(self):
        p = imdb.Person.Person(name='person name')
        self.failUnlessEqual('person name', p.get('long imdb name'))

    def testPersonNoLongName(self):
        p = imdb.Person.Person()
        self.failUnlessEqual(None, p.get('long imdb name'))

    def testPersonCompare1(self):
        p1 = imdb.Person.Person(name='person name')
        d = {'name': 'person name'}
        p2 = imdb.Person.Person(personData=d)
        self.failUnlessEqual(p1, p2)

    def testPersonCompare2(self):
        p1 = imdb.Person.Person(name='person name (IV)')
        d = {
            'name':        'person name',
            'imdbIndex':    'IV',
            'birth date':       '24 Sept 1977'}
        p2 = imdb.Person.Person(personData=d)
        self.failIfEqual(p1, p2)
       
    def testPersonCompareName1(self):
        p1 = imdb.Person.Person(name='person name (IV)')
        d = {
            'name':        'person name',
            'gino':         'val 1',
            'pino':         'val 2',
            'imdbIndex':    'IV'}
        p2 = imdb.Person.Person(personData=d)
        self.failUnless(p1.isSamePerson(p2))
        
    def testPersonCompareName2(self):
        p1 = imdb.Person.Person(name='person name (IV)')
        d = {
            'name':        'person name',
            'gino':         'val 1',
            'pino':         'val 2'}
        p2 = imdb.Person.Person(personData=d)
        self.failIf(p1.isSamePerson(p2))

    def testPersonCompareName3(self):
        p1 = imdb.Person.Person(name='person name (III)',
                                accessSystem='web',
                                personID='1234567')
        d = {
            'name':         'person name',
            'gino':         'val 1',
            'imdbIndex':    'IV'}
        p2 = imdb.Person.Person(personData=d)
        p2.accessSystem = 'web'
        p2.personID = '1234567'
        self.failUnless(p1.isSamePerson(p2))


if __name__ == '__main__':
    unittest.main()


